Tarea Actualización de componentes

Este capítulo contiene las siguientes secciones:

Recomendaciones

Lista de componentes actualizados

Antes de actualizar

El procedimiento de la tarea Actualización de componentes del Remote Administrator

Resolución de problemas

 

Recomendaciones:

Le recomendamos que utilice la tarea Actualización de componentes disponible en ERA Web Console para actualizar su infraestructura ERA. En el siguiente ejemplo se muestra cómo configurar la tarea Actualización de componentes de Remote Administrator para actualizar de la versión 6.1.x o posterior de ERA a la versión 6.5.

validation-status-icon-warning IMPORTANTE: Para llevar a cabo esta operación, realice una copia de seguridad de todos los certificados (Autoridad certificadora, Certificado del servidor, Certificado del proxy y del agente). Para realizar una copia de seguridad de los certificados:

1.Exporte sus Certificados de autoridades certificadoras de un antiguo ERA Server a un archivo .der y guárdelos en un sistema de almacenamiento externo.

2.Exporte sus Certificados de igual (de ERA Agent, ERA Server, ERA Proxy) y el archivo .pfx de clave privada de un antiguo ERA Server y guárdelos en un sistema de almacenamiento externo.

Cuando ejecute esta tarea, seleccione el grupo Todos como destino para que se actualice la infraestructura ERA completa.

 

Lista de componentes actualizados:

Servidor ERA

ERA Agent (la tarea actualizará todos los ordenadores de la red con instancias de ERA Agent instaladas si se seleccionan como destinos para la tarea)

ERA Proxy

ERA Web Console (solo se aplica cuando se instala con el instalador todo en uno de ERA o el dispositivo virtual de ERA y en cualquier distribución Linux [en la carpeta de instalación: /var/lib/tomcat8/webapps/, /var/lib/tomcat7/webapps/, /var/lib/tomcat6/webapps/, /var/lib/tomcat/webapps/])

Conector del dispositivo móvil de ERA (de la versión 6.2.11.0 a la versión 6.5 de ERA)

Los siguientes componentes se deben actualizar de forma manual:

Apache Tomcat (le recomendamos encarecidamente que actualice Apache Tomcat, consulte Actualización de Apache Tomcat)

Apache HTTP Proxy (puede utilizarse el instalador todo en uno, consulte Actualización de Apache HTTP Proxy)

ERA Rogue Detection Sensor

 

Antes de actualizar:

validation-status-icon-error Si la actualización del componente falla en un equipo en el que se ejecuta ERA Server o Web Console, es posible que no pueda iniciar sesión en Web Console de forma remota. Se recomienda configurar el acceso físico al servidor antes de realizar esta actualización. Si no puede disponer de acceso físico al equipo, asegúrese de que puede iniciar sesión en él con privilegios de administrador a través de una sesión de escritorio remoto. Se recomienda realizar una copia de seguridad de las bases de datos de ERA Server y del Conector del dispositivo móvil antes de realizar esta operación. Para realizar una copia de seguridad del dispositivo virtual, cree una instantánea o clone su máquina virtual.

hmtoggle_plus0¿Está actualizando desde la versión 6.1.x de ERA?
hmtoggle_plus0¿La instancia de ERA Server está instalada en un clúster de conmutación por error?
hmtoggle_plus0¿ERA Agent está instalado en clientes Linux que ejecutan systemd en su infraestructura?
hmtoggle_plus0Instrucciones importantes antes de actualizar el proxy HTTP Apache en Microsoft Windows
hmtoggle_plus0Instrucciones importantes antes de actualizar el proxy HTTP Apache en el dispositivo virtual

 

Consulte el tema de la ayuda en línea sobre el procedimiento de la tarea Actualización de los componentes del Remote Administrator. Para consultar otra guía sobre la actualización de ESET Remote Administrator a la versión más reciente (6.x) consulte el artículo de nuestra Base de conocimiento.

 

Solución de problemas:

Compruebe si puede acceder al repositorio de ERA desde un ordenador actualizado.

Ejecutar la tarea Actualización de componentes del Remote Administrator de nuevo no funcionará si hay al menos un componente que ya se ha actualizado a una versión más reciente.

Si no hay un motivo de fallo claro, puede actualizar los componentes de forma manual. Consulte nuestras instrucciones para Windows o Linux.

Esta tarea podría no funcionar correctamente en los equipos Linux que utilizan systemd como administrador de servicios. Las distribuciones Linux con scripts SysV init o upstart no se ven afectadas.

Consulte la información general sobre la resolución de problemas para ver más sugerencias sobre cómo resolver los problemas de actualización.